Bug 1348458 - CVE-2015-8936 squidGuard: Reflected cross site scripting vulnerability in squidGuard.cgi [fedora-all]
Summary: CVE-2015-8936 squidGuard: Reflected cross site scripting vulnerability in squ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: squidGuard
Version: 23
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2015-8936
TreeView+ depends on / blocked
 
Reported: 2016-06-21 08:35 UTC by Andrej Nemec
Modified: 2016-07-10 02:21 UTC (History)
2 users (show)

Fixed In Version: squidGuard-1.4-26.fc22 squidGuard-1.4-26.fc23 squidGuard-1.4-26.fc24 squidGuard-1.4-10.el6 squidGuard-1.4-26.el7
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-30 14:52:22 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-06-21 08:35:42 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Andrej Nemec 2016-06-21 08:35:47 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1348457,1348458

# Description of your update
notes=Security fix for 

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2016-06-21 14:27:59 UTC
squidGuard-1.4-25.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a218333fce

Comment 3 Fedora Update System 2016-06-21 14:28:15 UTC
squidGuard-1.4-25.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-32850bf4cb

Comment 4 Fedora Update System 2016-06-21 14:28:29 UTC
squidGuard-1.4-25.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9babc0b545

Comment 5 Fedora Update System 2016-06-21 14:28:43 UTC
squidGuard-1.4-25.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7b9cbdbca8

Comment 6 Fedora Update System 2016-06-21 14:28:57 UTC
squidGuard-1.4-10.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e7c7e5786e

Comment 7 Fedora Update System 2016-06-21 14:47:07 UTC
squidGuard-1.4-26.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f8a01aa629

Comment 8 Fedora Update System 2016-06-21 14:47:25 UTC
squidGuard-1.4-26.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8b19472a3c

Comment 9 Fedora Update System 2016-06-21 14:47:42 UTC
squidGuard-1.4-26.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fbb5a65729

Comment 10 Fedora Update System 2016-06-21 14:47:58 UTC
squidGuard-1.4-26.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d3e4c82ed7

Comment 11 Fedora Update System 2016-06-22 01:48:09 UTC
squidGuard-1.4-10.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e7c7e5786e

Comment 12 Fedora Update System 2016-06-22 02:18:48 UTC
squidGuard-1.4-26.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d3e4c82ed7

Comment 13 Fedora Update System 2016-06-22 02:26:02 UTC
squidGuard-1.4-26.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fbb5a65729

Comment 14 Fedora Update System 2016-06-22 02:26:09 UTC
squidGuard-1.4-26.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8b19472a3c

Comment 15 Fedora Update System 2016-06-22 02:53:57 UTC
squidGuard-1.4-26.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f8a01aa629

Comment 16 Fedora Update System 2016-06-30 14:52:01 UTC
squidGuard-1.4-26.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-06-30 19:52:55 UTC
squidGuard-1.4-26.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2016-06-30 21:28:30 UTC
squidGuard-1.4-26.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2016-07-09 23:18:31 UTC
squidGuard-1.4-10.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2016-07-10 02:21:17 UTC
squidGuard-1.4-26.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.